Subject: bug#37576: 27.0.50; [Windows] "Permission denied" error from call-process if executable not found

From: Juanma Barranquero <[email-masked]>
Date: Tue, 1 Oct 2019 22:43:01 +0200

On Tue, Oct 1, 2019 at 9:56 PM Richard Copley <[email-masked]> wrote:

> In "emacs -Q", if the file "xyzzy" does not exist on the path,
(call-process "xyzzy") now leaves this in the *Messages* buffer:
>
>   forward-sexp: Searching for program: Permission denied, xyzzy
>
> In older versions the entry in the message buffer is a true statement:
>
>   eval: Searching for program: No such file or directory, xyzzy

In the current trunk, I get "No such file on directory".

ELISP> (call-process "xyzzy")
*** Eval error ***  Searching for program: No such file or directory, xyzzy

> Repository revision: cbc507779b8f56ce0abf596416e8e3847de88e10
> Repository branch: buster

After Paul changes adding more strict file checking, there were some fixes
to ease up. Perhaps you got a revision in between. I cannot say, because
the repository revision of your report is likely some local change by you
(it's not in the public repository).

>  (I also noticed debug-on-error is now 't' in "emacs -Q".

C:> emacs.exe -Q --batch --eval "(princ debug-on-error)"
nil